## 389-ds-base 1.3.2.23

=== debian/changelog ===
389-ds-base (1.3.2.23-2) unstable; urgency=medium

  * Team upload.
  * Add fix-bsd.patch and support-kfreebsd.patch to fix the build failure
    on kFreeBSD.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 03 Sep 2014 15:32:22 +0200

389-ds-base (1.3.2.23-1) unstable; urgency=medium

  * New bugfix release.
  * watch: Update the url.
  * control: Update Vcs-Browser url to use cgit.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Sep 2014 13:32:59 +0300

389-ds-base (1.3.2.21-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2014-3562 (Closes: #757437)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 08 Aug 2014 10:48:55 +0300

389-ds-base (1.3.2.19-1) unstable; urgency=medium

  * New upstream release.
  * admin_scripts.diff: Updated to fix more bashisms.
  * watch: Update the url.
  * Install failedbinds.py and logregex.py scripts.
  * init: Use status from init-functions.
  * control: Update my email.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Jul 2014 15:50:11 +0300

389-ds-base (1.3.2.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply fix for CVE-2014-0132, see like named patch (Closes: 741600)
  * Fix m4-macro for libsrvcore and add missing B-D on libpci-dev
    (Closes: #745821)

 -- Tobias Frost <tobi@coldtobi.de>  Fri, 25 Apr 2014 15:11:16 +0200

=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
 Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>,
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libbz2-dev,
 libdb-dev,
 libicu-dev,
 libkrb5-dev,
 libldap2-dev (>= 2.4.28),
 libnspr4-dev,
 libnss3-dev,
 libpam0g-dev,
 libpci-dev,
 libpcre3-dev,
 libperl-dev,
 libsasl2-dev,
 libsnmp-dev,
 libssl-dev,
 libsvrcore-dev,
 pkg-config,
 zlib1g-dev,
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
Homepage: http://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends:
 389-admin,
 389-admin-console,
 389-console,
 389-ds-base,
 389-ds-console,
 389-dsgw,
 ${misc:Depends},
Description: 389 Directory Server suite - metapackage
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This is a metapackage depending on the LDAPv3 server, the HTTP
 daemon used for server administration, and the graphical console used
 for server and user/group administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libdirsrv0
Replaces: libdirsrv0
Description: 389 Directory Server suite - libraries
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-libs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: 389-ds-base-libs (= ${binary:Version}), ${misc:Depends}
Description: 389 Directory Server suite - library debugging symbols
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package provides detached debugging information for the 389
 Directory Server libraries. It is useful primarily to permit better
 backtraces and crash dump analysis after problems with the libraries.
 GDB will find this debug information automatically.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Depends:
 389-ds-base-libs (= ${binary:Version}),
 libldap2-dev,
 libnspr4-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libdirsrv-dev
Replaces: libdirsrv-dev
Description: 389 Directory Server suite - development files
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends:
 389-ds-base-libs (= ${binary:Version}),
 adduser,
 ldap-utils,
 libmozilla-ldap-perl,
 libnetaddr-ip-perl,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 libsasl2-modules-gssapi-mit,
 libsocket-getaddrinfo-perl,
 python,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: slapd
Breaks: dirsrv, libdirsrv-dev, libdirsrv0
Replaces: dirsrv, libdirsrv-dev, libdirsrv0
Description: 389 Directory Server suite - server
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 Its key features include:
  * four-way multi-master replication;
  * great scalability;
  * extensive documentation;
  * Active Directory user and group synchronization;
  * secure authentication and transport;
  * support for LDAPv3;
  * graphical management console;
  * on-line, zero downtime update of schema, configuration, and
    in-tree Access Control Information.

Package: 389-ds-base-dbg
Section: debug
Priority: extra
Architecture: any
Depends: 389-ds-base (= ${binary:Version}), ${misc:Depends}
Description: 389 Directory Server suite - server debugging symbols
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package provides detached debugging information for the 389
 Directory Server. It is useful primarily to permit better backtraces
 and crash dump analysis after problems with the libraries.
 GDB will find this debug information automatically.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+pie

# Keep track of files we don't install
NOT_INSTALLED := \
	etc/rc.d/init.d/dirsrv-snmp \
	etc/rc.d/init.d/dirsrv \
	etc/default/dirsrv

REALFILE = \
	bin/cl-dump.pl \
	bin/dbgen.pl \
	bin/ds-logpipe.py \
	bin/logconv.pl \
	bin/repl-monitor.pl \
	sbin/migrate-ds.pl \
	sbin/remove-ds.pl \
	sbin/setup-ds.pl \
	sbin/cleanallruv.pl \
	sbin/fixup-linkedattrs.pl \
	sbin/fixup-memberof.pl \
	sbin/ns-accountstatus.pl \
	sbin/ns-activate.pl \
	sbin/ns-inactivate.pl \
	sbin/ns-newpwpolicy.pl \
	sbin/schema-reload.pl \
	sbin/syntax-validate.pl \
	sbin/usn-tombstone-cleanup.pl \
	sbin/verify-db.pl \
	share/man/man1/dbgen.pl.1 \
	share/man/man1/ds-logpipe.py.1 \
	share/man/man1/logconv.pl.1 \
	share/man/man8/migrate-ds.pl.8 \
	share/man/man8/setup-ds.pl.8 \
	share/man/man8/remove-ds.pl.8

# scripts for handling online servers
REALFILE_ONLINE = \
	sbin/bak2db.pl \
	sbin/db2bak.pl \
	sbin/db2index.pl \
	sbin/db2ldif.pl \
	sbin/ldif2db.pl \
	share/man/man8/bak2db.pl.8 \
	share/man/man8/db2bak.pl.8 \
	share/man/man8/db2index.pl.8 \
	share/man/man8/db2ldif.pl.8 \
	share/man/man8/ldif2db.pl.8

%:
	dh $@ --parallel --with autoreconf --builddir build/

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-openldap \
		--enable-autobind

override_dh_auto_install:
	dh_auto_install --max-parallel=1

override_dh_install:
	# lets do the renaming here afterall, instead of in 389-ds-base.install
	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\.pl//;s/\.py//'`; \
		done
	# use -online suffix so that they won't overwrite the offline scripts
	for file in $(REALFILE_ONLINE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
		$(CURDIR)/debian/tmp/usr/`echo $$file | \
		sed -s 's/\.pl/-online/'`; \
		done
	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# fix template script headers
	find $(CURDIR)/debian/tmp/usr/share/dirsrv/script-templates/ -type f -exec perl -pi -e  's,#\{\{PERL-EXEC\}\},#!/usr/bin/perl,' "{}" \;

	# Also get rid of other files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done

	dh_install --fail-missing

override_dh_installinit:
	dh_installinit --name dirsrv --error-handler=invoke_failure -- defaults 15 85

override_dh_strip:
	dh_strip -p389-ds-base-libs --dbg-package=389-ds-base-libs-dbg
	dh_strip -p389-ds-base --dbg-package=389-ds-base-dbg

override_dh_shlibdeps:
	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

## 389-ds-base 1.3.3.5

=== ldap/servers/plugins/distrib/Makefile ===
# --- BEGIN COPYRIGHT BLOCK ---
# This Program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; version 2 of the License.
# 
# This Program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along with
# this Program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA.
# 
# In addition, as a special exception, Red Hat, Inc. gives You the additional
# right to link the code of this Program with code not covered under the GNU
# General Public License ("Non-GPL Code") and to distribute linked combinations
# including the two, subject to the limitations in this paragraph. Non-GPL Code
# permitted under this exception must only link to the code of this Program
# through those well defined interfaces identified in the file named EXCEPTION
# found in the source code files (the "Approved Interfaces"). The files of
# Non-GPL Code may instantiate templates or use macros or inline functions from
# the Approved Interfaces without causing the resulting work to be covered by
# the GNU General Public License. Only Red Hat, Inc. may make changes or
# additions to the list of Approved Interfaces. You must obey the GNU General
# Public License in all respects for all of the Program code and other code used
# in conjunction with the Program except the Non-GPL Code covered by this
# exception. If you modify this file, you may extend this exception to your
# version of the file, but you are not obligated to do so. If you do not wish to
# provide this exception without modification, you must delete this exception
# statement from your version and license this file solely under the GPL without
# exception. 
# 
# 
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# --- END COPYRIGHT BLOCK ---
# 
#
# GNU Makefile for Directory Server distribution plugin
#

LDAP_SRC = ../../..
BUILD_ROOT = ../../../..

NOSTDCLEAN=true # don't let nsconfig.mk define target clean
NOSTDSTRIP=true # don't let nsconfig.mk define target strip

OBJDEST = $(OBJDIR)/lib/libdistrib
LIBDIR = $(LDAP_PLUGIN_RELDIR)

include $(BUILD_ROOT)/nsconfig.mk
include $(LDAP_SRC)/nsldap.mk

ifeq ($(ARCH), WINNT)
DEF_FILE:=./libdistrib.def
endif

CFLAGS+=$(SLCFLAGS)

INCLUDES += -I$(LDAP_SRC)/servers/slapd

DIS_OBJS= \
	distrib.o


OBJS = $(addprefix $(OBJDEST)/, $(DIS_OBJS)) 

ifeq ($(ARCH), WINNT)
LIBDIS_DLL_OBJ = $(addprefix $(OBJDEST)/, dllmain.o)
endif

# The sample distribution plugin is not part of DS.
# So we generate the shared library outside of $(LIBDIR)
# so that it's not retrieved by the packaging makefiles.
#LIBDIS =	$(addprefix $(LIBDIR)/, $(DIS_DLL).$(DLL_SUFFIX))
LIBDIS =	$(addprefix $(OBJDEST)/, $(DIS_DLL).$(DLL_SUFFIX))

ifeq ($(ARCH), WINNT)
EXTRA_LIBS_DEP += \
	$(LIBSLAPD_DEP) \
	$(LDAP_LIBUTIL_DEP) \
	$(LDAP_COMMON_LIBS_DEP)
EXTRA_LIBS_DEP += \
	$(LDAPSDK_DEP) \
	$(SECURITY_DEP)
EXTRA_LIBS += \
	$(LIBSLAPD) \
	$(LDAP_SDK_LIBLDAP_DLL) \
	$(LIBUTIL) \
	$(NSPRLINK) \
	$(LDAP_COMMON_LIBS)
endif
ifeq ($(ARCH), AIX)
EXTRA_LIBS_DEP += \
	$(LIBSLAPD_DEP) \
	$(LDAP_LIBUTIL_DEP) \
	$(LDAP_COMMON_LIBS_DEP)
EXTRA_LIBS_DEP += \
	$(LDAPSDK_DEP)
EXTRA_LIBS += \
	$(LIBSLAPDLINK) \
	$(LDAP_SDK_LIBLDAP_DLL) \
	$(LIBUTIL) \
	$(NSPRLINK) \
	$(LDAP_COMMON_LIBS)
endif

ifeq ($(ARCH), HPUX)
EXTRA_LIBS_DEP += $(LIBSLAPD_DEP) $(LDAPSDK_DEP) $(NSPR_DEP)
EXTRA_LIBS += $(LDAPLINK) $(NSPRLINK) $(ICULINK)
endif

ifeq ($(ARCH), WINNT)
DLL_LDFLAGS += -def:"./libdistrib.def"
CFLAGS+= /WX 
endif # WINNT

ifeq ($(ARCH), AIX)
LD=ld
endif

clientSDK: 

all:	$(OBJDEST) $(LIBDIR) $(LIBDIS)

$(LIBDIS): $(OBJS) $(LIBDIS_DLL_OBJ) $(DEF_FILE)
	$(LINK_DLL) $(LIBDIS_DLL_OBJ) $(EXTRA_LIBS) 

veryclean: clean

clean:
	$(RM) $(OBJS)
ifeq ($(ARCH), WINNT)
	$(RM) $(LIBDIS_DLL_OBJ)
endif
	$(RM) $(LIBDIS)

$(OBJDEST):
	$(MKDIR) $(OBJDEST)

=== debian/changelog ===
389-ds-base (1.3.3.5-4) unstable; urgency=medium

  * Security fixes (Closes: #779909)
    - cve-2014-8105.diff: Fix for CVE-2014-8105
    - cve-2014-8112.diff: Fix for CVE-2014-8112

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 09 Mar 2015 10:53:03 +0200

389-ds-base (1.3.3.5-3) unstable; urgency=medium

  * use-bash-instead-of-sh.diff: Drop admin_scripts.diff and patch the
    scripts to use bash instead of trying to fix bashisms. (Closes:
    #772195)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Jan 2015 15:40:23 +0200

389-ds-base (1.3.3.5-2) unstable; urgency=medium

  * fix-saslpath.diff: Fix SASL library path.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 01:48:34 +0300

389-ds-base (1.3.3.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * control: Bump policy, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 20 Oct 2014 09:57:14 +0300

389-ds-base (1.3.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Dropped upstreamed patches, refresh others.
  * control, rules, 389-ds-base.install: Add support for systemd.
  * fix-obsolete-target.diff: Drop syslog.target from the service files.
  * 389-ds-base.links: Mask the initscript so that it's not used with systemd.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Oct 2014 17:13:01 +0300

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 # Keep track of files we don't install
-NOT_INSTALLED := \
-	etc/rc.d/init.d/dirsrv-snmp \
-	etc/rc.d/init.d/dirsrv \
-	etc/default/dirsrv
+NOT_INSTALLED :=
 
 REALFILE = \
 	bin/cl-dump.pl \
@@ -50,11 +47,15 @@
 	share/man/man8/ldif2db.pl.8
 
 %:
-	dh $@ --parallel --with autoreconf --builddir build/
+	dh $@ --parallel --with autoreconf,systemd --builddir build/
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-openldap \
+		--with-systemdsystemunitdir=/lib/systemd/system \
+		--with-systemdsystemconfdir=/etc/systemd/system \
+		--with-systemdgroupname=dirsrv.target \
+		--with-tmpfiles-d=/etc/tmpfiles.d \
 		--enable-autobind
 
 override_dh_auto_install:
@@ -80,6 +81,8 @@
 	# use -f to ensure we notice disappearing files:
 	set -e; for file in $(NOT_INSTALLED); do rm debian/tmp/$$file; done
 
+	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
+
 	dh_install --fail-missing
 
 override_dh_installinit:

## 389-ds-base 1.3.3.12

=== debian/changelog ===
389-ds-base (1.3.3.12-1build1) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:37:44 +0100

389-ds-base (1.3.3.12-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2015-3230 (Closes: #789202)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Jun 2015 11:47:50 +0300

389-ds-base (1.3.3.10-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2015-1854 (Closes: #783923)
  * postinst: Stop actual instances instead of 'dirsrv' on upgrade, and
    use service(8) instead of invoke-rc.d.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 May 2015 07:58:35 +0300

389-ds-base (1.3.3.9-1) experimental; urgency=medium

  * New upstream bugfix release.
    - Drop cve-2014-8*.diff, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 02 Apr 2015 14:47:20 +0300

## 389-ds-base 1.3.4.9

=== selinux/Makefile ===
POLICY_MAKEFILE = /usr/share/selinux/devel/Makefile
POLICY_DIR = $(DESTDIR)/usr/share/selinux/targeted

all:
	if [ ! -e $(POLICY_MAKEFILE) ]; then echo "You need to install the SELinux policy development tools (selinux-policy)" && exit 1; fi

	$(MAKE) -f $(POLICY_MAKEFILE) $@ || exit 1;

clean:
	$(MAKE) -f $(POLICY_MAKEFILE) $@ || exit 1;

install: all
	install -d $(POLICY_DIR)
	install -m 644 dirsrv.pp $(POLICY_DIR)

load:
	/usr/sbin/semodule -i dirsrv.pp

=== ldap/servers/slapd/test-plugins/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# License: GPL (version 3 or any later version).
# See LICENSE for details. 
# END COPYRIGHT BLOCK
#
#
# GNU Makefile for Directory Server test-plugin
#

LDAP_SRC = ../../..
BUILD_ROOT = ../../../..

NOSTDCLEAN=true # don't let nsconfig.mk define target clean
NOSTDSTRIP=true # don't let nsconfig.mk define target strip

OBJDEST = $(OBJDIR)/servers/obj
BINDIR = $(OBJDIR)/bin
LIBDIR = $(OBJDIR)/lib

include $(BUILD_ROOT)/nsdefs.mk
include $(BUILD_ROOT)/nsconfig.mk
include $(LDAP_SRC)/nsldap.mk
include $(BUILD_ROOT)/ns_usepurify.mk


EXTRA_INCLUDES=-I.. -I../../../include $(NSPR_INCLUDE) -I$(LDAP_INCLUDE) -I$(DB_INCLUDE) -I../../../servers/slapd -g
INCLUDE_FLAGS=-I../include $(EXTRA_INCLUDES)
EXTRA_LIBS = $(DB_LIB)

ifdef USE_64
MAKEFILE_FILE=Makefile.$(BUILD_ARCH)64
else
MAKEFILE_FILE=Makefile.$(BUILD_ARCH)
endif

all:
	$(MAKE) -f $(MAKEFILE_FILE) all INCLUDE_FLAGS="$(INCLUDE_FLAGS)" EXTRA_LIBS="$(EXTRA_LIBS)"

libtest-plugin.so:
	$(MAKE) -f $(MAKEFILE_FILE) libtest-plugin.so \
	    INCLUDE_FLAGS="$(INCLUDE_FLAGS)"

clean:
	$(MAKE) -f $(MAKEFILE_FILE) clean INCLUDE_FLAGS="$(INCLUDE_FLAGS)"

veryclean:		clean

=== debian/changelog ===
389-ds-base (1.3.4.9-1) unstable; urgency=medium

  * New upstream release.
  * support-non-nss-libldap.diff: Support libldap built against gnutls.
    (LP: #1564179)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 18 Apr 2016 18:08:14 +0300

389-ds-base (1.3.4.8-4) unstable; urgency=medium

  * use-perl-move.diff: Dropped, 'rename' is more reliable.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Mar 2016 08:38:24 +0300

389-ds-base (1.3.4.8-3) unstable; urgency=medium

  * use-perl-move.diff: Fix 60upgradeschemafiles.pl to use File::Copy.
    (Closes: #818578)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Mar 2016 11:15:23 +0200

389-ds-base (1.3.4.8-2) unstable; urgency=medium

  * postinst: Silence ls and adduser.
  * Drop the init file, we depend on systemd anyway.
  * rules: Don't enable dirsrv-snmp.service by default.
  * postrm: Clean up /var/lib/dirsrv/scripts-* on purge.
  * user-perl-move.diff: Use move instead of rename during upgrade.
    (Closes: #775550)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Mar 2016 08:13:38 +0200

389-ds-base (1.3.4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 22 Feb 2016 07:58:40 +0200

389-ds-base (1.3.4.5-2) unstable; urgency=medium

  * fix-systemctl-path.diff: Use correct path to /bin/systemctl.
    (Closes: #779653)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 08:31:20 +0200

389-ds-base (1.3.4.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 09 Dec 2015 08:14:56 +0200

389-ds-base (1.3.3.13-1) unstable; urgency=medium

  * New upstream release.
  * control: Add systemd to 389-ds-base Depends. (Closes: #794301)
  * postrm: Clean target.wants in postrm.
  * reproducible-build.diff: Make builds reproducible. Thanks, Chris
    Lamb! (Closes: #799010)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Oct 2015 14:25:05 +0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
+ dh-systemd,
  libbz2-dev,
  libdb-dev,
  libicu-dev,
@@ -25,7 +26,7 @@
  libsvrcore-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -112,6 +113,7 @@
  libsasl2-modules-gssapi-mit,
  libsocket-getaddrinfo-perl,
  python,
+ systemd,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts: slapd

=== debian/rules ===
--- 
+++ 
@@ -85,8 +85,8 @@
 
 	dh_install --fail-missing
 
-override_dh_installinit:
-	dh_installinit --name dirsrv --error-handler=invoke_failure -- defaults 15 85
+override_dh_systemd_enable:
+	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
 
 override_dh_strip:
 	dh_strip -p389-ds-base-libs --dbg-package=389-ds-base-libs-dbg

=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds.git
version=3
http://www.port389.org/binaries/389-ds-base-(.*).tar.bz2

## 389-ds-base 1.3.4.14

=== debian/changelog ===
389-ds-base (1.3.4.14-1) unstable; urgency=medium

  * New upstream release.
  * support-non-nss-libldap.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 29 Aug 2016 10:17:41 +0300

## 389-ds-base 1.3.5.15

=== debian/changelog ===
389-ds-base (1.3.5.15-2build1) zesty; urgency=medium

  * No-change rebuild against libnspr4

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 24 Feb 2017 11:05:42 +0000

389-ds-base (1.3.5.15-2) unstable; urgency=medium

  * fix-48986-cve-2017-2591.diff: Fix upstream ticket 48986,
    CVE-2017-2591. (Closes: #851769)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 Jan 2017 00:01:53 +0200

389-ds-base (1.3.5.15-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2016-5405 (Closes: #842121)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Nov 2016 11:01:00 +0200

389-ds-base (1.3.5.14-1) unstable; urgency=medium

  * New upstream release.
  * postrm: Remove /etc/dirsrv, /var/lib/dirsrv and /var/log/dirsrv on
    purge.
  * control: Bump build-dep on libsvrcore-dev to ensure it has support
    for systemd password agent.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 28 Oct 2016 01:42:27 +0300

389-ds-base (1.3.5.13-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 3.9.8, no changes.
  * patches/default_user: Dropped, upstream.
  * support-non-nss-libldap.diff: Dropped, upstream.
  * fix-obsolete-target.diff: Updated.
  * patches: Refreshed.
  * control: Add libsystemd-dev to build-deps.
  * control: Add acl to -base depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 12 Oct 2016 11:11:20 +0300

389-ds-base (1.3.4.14-2) unstable; urgency=medium

  * tests: Add simple autopkgtests.
  * postinst: Start instances after offline update.
  * control, rules: Drop -dbg packages.
  * control: Drop conflicts on slapd. (Closes: #822532)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Oct 2016 17:53:26 +0300

## 389-ds-base 1.3.5.17

=== debian/changelog ===
389-ds-base (1.3.5.17-2) unstable; urgency=medium

  * fix-upstream-49245.diff: Pull commits from upstream 1.3.5.x, which
    remove rest of the asm code. (Closes: #862194)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 May 2017 09:25:03 +0300

389-ds-base (1.3.5.17-1) unstable; urgency=medium

  * New upstream bugfix release.
    - CVE-2017-2668 (Closes: #860125)
  * watch: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 09 May 2017 11:06:14 +0300

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,11 @@
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
- libsvrcore-dev,
+ libsvrcore-dev (>= 1:4.1.2+dfsg1-3),
+ libsystemd-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -64,22 +65,6 @@
  .
  This package contains core libraries for the 389 Directory Server.
 
-Package: 389-ds-base-libs-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: 389-ds-base-libs (= ${binary:Version}), ${misc:Depends}
-Description: 389 Directory Server suite - library debugging symbols
- Based on the Lightweight Directory Access Protocol (LDAP), the 389
- Directory Server is designed to manage large directories of users and
- resources robustly and scalably.
- .
- This package provides detached debugging information for the 389
- Directory Server libraries. It is useful primarily to permit better
- backtraces and crash dump analysis after problems with the libraries.
- GDB will find this debug information automatically.
-
 Package: 389-ds-base-dev
 Section: libdevel
 Architecture: any
@@ -106,6 +91,7 @@
 Depends:
  389-ds-base-libs (= ${binary:Version}),
  adduser,
+ acl,
  ldap-utils,
  libmozilla-ldap-perl,
  libnetaddr-ip-perl,
@@ -116,7 +102,6 @@
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts: slapd
 Breaks: dirsrv, libdirsrv-dev, libdirsrv0
 Replaces: dirsrv, libdirsrv-dev, libdirsrv0
 Description: 389 Directory Server suite - server
@@ -135,17 +120,3 @@
   * on-line, zero downtime update of schema, configuration, and
     in-tree Access Control Information.
 
-Package: 389-ds-base-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: 389-ds-base (= ${binary:Version}), ${misc:Depends}
-Description: 389 Directory Server suite - server debugging symbols
- Based on the Lightweight Directory Access Protocol (LDAP), the 389
- Directory Server is designed to manage large directories of users and
- resources robustly and scalably.
- .
- This package provides detached debugging information for the 389
- Directory Server. It is useful primarily to permit better backtraces
- and crash dump analysis after problems with the libraries.
- GDB will find this debug information automatically.

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--with-openldap \
+		--with-systemd \
 		--with-systemdsystemunitdir=/lib/systemd/system \
 		--with-systemdsystemconfdir=/etc/systemd/system \
 		--with-systemdgroupname=dirsrv.target \
@@ -88,9 +89,5 @@
 override_dh_systemd_enable:
 	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
 
-override_dh_strip:
-	dh_strip -p389-ds-base-libs --dbg-package=389-ds-base-libs-dbg
-	dh_strip -p389-ds-base --dbg-package=389-ds-base-dbg
-
 override_dh_shlibdeps:
 	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

=== debian/tests/control ===
Tests: setup
Depends:
 389-ds-base,
 python-lib389,
Restrictions: needs-root

=== debian/watch ===
#git=https://pagure.io/389-ds-base.git
version=3
http://releases.pagure.org/389-ds-base/389-ds-base-(.*).tar.bz2

## 389-ds-base 1.3.7.5

=== debian/changelog ===
389-ds-base (1.3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * patches: ftbfs-fix.diff, reproducible-build.diff dropped (upstream)
    others refreshed.
  * *.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Oct 2017 10:33:45 +0300

389-ds-base (1.3.6.7-5) unstable; urgency=medium

  * Move all libs from base to -libs, add B/R. (Closes: #874764)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Sep 2017 16:44:13 +0300

389-ds-base (1.3.6.7-4) unstable; urgency=medium

  * control, install: Fix library/dev-link installs, add Breaks/Replaces
    to fit, and drop obsolete B/R.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 30 Aug 2017 00:19:41 +0300

389-ds-base (1.3.6.7-3) unstable; urgency=medium

  * ftbfs-fix.diff: Fix build. (Closes: #873120)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Aug 2017 15:09:02 +0300

389-ds-base (1.3.6.7-2) unstable; urgency=medium

  * control: Bump policy to 4.1.0, no changes.
  * rules: Override dh_missing.
  * control: Add libltdl-dev to build-depends. (Closes: #872979)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 24 Aug 2017 12:15:03 +0300

389-ds-base (1.3.6.7-1) unstable; urgency=medium

  * New upstream release
    - fix CVE-2017-7551 (Closes: #870752)
  * fix-tests.diff: Dropped, fixed upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Aug 2017 16:30:11 +0300

389-ds-base (1.3.6.5-1) experimental; urgency=medium

  * New upstream release.
    - fix-bsd.patch, support-kfreebsd.patch, fix-48986-cve-2017-2591.diff:
      Dropped, upstream.
  * *.install: Updated.
  * control: Add doxygen, libcmocka-dev, libevent-dev to build-deps.
  * rules: Enable cmocka tests.
  * fix-tests.diff: Fix building the tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 May 2017 09:38:30 +0300

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,18 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>,
 Build-Depends:
+ libcmocka-dev,
  debhelper (>= 9),
  dh-autoreconf,
  dh-systemd,
+ doxygen,
  libbz2-dev,
  libdb-dev,
+ libevent-dev,
  libicu-dev,
  libkrb5-dev,
  libldap2-dev (>= 2.4.28),
+ libltdl-dev,
  libnspr4-dev,
  libnss3-dev,
  libpam0g-dev,
@@ -27,7 +31,7 @@
  libsystemd-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -56,8 +60,10 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libdirsrv0
-Replaces: libdirsrv0
+Breaks: 389-ds-base (<< 1.3.6.7-5),
+ 389-ds-base-dev (<< 1.3.6.7-4)
+Replaces: 389-ds-base (<< 1.3.6.7-5),
+ 389-ds-base-dev (<< 1.3.6.7-4)
 Description: 389 Directory Server suite - libraries
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -74,8 +80,8 @@
  libnspr4-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libdirsrv-dev
-Replaces: libdirsrv-dev
+Breaks: 389-ds-base (<< 1.3.6.7-4)
+Replaces: 389-ds-base (<< 1.3.6.7-4)
 Description: 389 Directory Server suite - development files
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -102,8 +108,6 @@
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: dirsrv, libdirsrv-dev, libdirsrv0
-Replaces: dirsrv, libdirsrv-dev, libdirsrv0
 Description: 389 Directory Server suite - server
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,8 @@
 		--with-systemdsystemconfdir=/etc/systemd/system \
 		--with-systemdgroupname=dirsrv.target \
 		--with-tmpfiles-d=/etc/tmpfiles.d \
-		--enable-autobind
+		--enable-autobind \
+		--enable-cmocka
 
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1
@@ -84,7 +85,10 @@
 
 	mkdir -p $(CURDIR)/debian/tmp/etc/systemd/system/dirsrv.target.wants
 
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_systemd_enable:
 	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service

## 389-ds-base 1.3.7.10

=== rfcs/Makefile ===

allrfcs: folders draft-wibrown-ldapssotoken-00

folders:
	mkdir -p txt

examplerfcs:
	xml2rfc examples/template-bare-06.txt -o txt/template-bare-06.txt --text

draft-wibrown-ldapssotoken-00:
	xml2rfc src/draft-wibrown-ldapssotoken-00.xml -o txt/draft-wibrown-ldapssotoken-00.txt --text
	xml2rfc src/draft-wibrown-ldapssotoken-00.xml -o txt/draft-wibrown-ldapssotoken-00.raw --raw

=== debian/changelog ===
389-ds-base (1.3.7.10-1ubuntu1) bionic; urgency=medium

  * fix-saslpath.diff: Updated to support ppc64el and s390x. (LP:
    #1764744)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Apr 2018 20:45:32 +0300

389-ds-base (1.3.7.10-1) unstable; urgency=medium

  * New upstream release.
    - fix CVE-2018-1054 (Closes: #892124)
  * control: Update maintainer address, freeipa-team handles this from
    now on. Drop kklimonda from uploaders.
  * control: Update VCS urls.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 13 Mar 2018 11:32:29 +0200

389-ds-base (1.3.7.9-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2017-15134 (Closes: #888452)
  * patches: Fix CVE-2017-15135. (Closes: #888451)
  * tests: Add some debug output.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 05 Feb 2018 16:25:09 +0200

389-ds-base (1.3.7.8-4) unstable; urgency=medium

  * tests: Drop python3-lib389 from depends, it's not used currently
    anyway.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 21 Dec 2017 15:42:04 +0200

389-ds-base (1.3.7.8-3) unstable; urgency=medium

  * tests/control: Depend on python3-lib389.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 23:54:43 +0200

389-ds-base (1.3.7.8-2) unstable; urgency=medium

  * Fix autopkgtest to be robust in the face of changed iproute2 output.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Dec 2017 15:57:26 +0200

389-ds-base (1.3.7.8-1) unstable; urgency=medium

  * New upstream release.
  * Package python3-lib389 and python3-dirsrvtests.
  * control: Add python3 depends to 389-ds-base, since it ships a few
    python scripts.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Dec 2017 17:32:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>,
 Build-Depends:
  libcmocka-dev,
  debhelper (>= 9),
  dh-autoreconf,
+ dh-python,
  dh-systemd,
  doxygen,
  libbz2-dev,
@@ -30,10 +30,12 @@
  libsvrcore-dev (>= 1:4.1.2+dfsg1-3),
  libsystemd-dev,
  pkg-config,
+ python3-all-dev,
+ python3-setuptools,
  zlib1g-dev,
 Standards-Version: 4.1.0
-Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-base.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-base.git
+Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
+Vcs-Browser: http://salsa.debian.org/freeipa-team/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
 
 Package: 389-ds
@@ -108,6 +110,7 @@
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
+ ${python3:Depends},
 Description: 389 Directory Server suite - server
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -124,3 +127,25 @@
   * on-line, zero downtime update of schema, configuration, and
     in-tree Access Control Information.
 
+Package: python3-lib389
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-dateutil,
+ python3-ldap,
+ python3-pyasn1,
+ python3-pyasn1-modules,
+ python3-pytest,
+ python3-six,
+Conflicts: python-lib389 (<< 1.3.7.8)
+Replaces: python-lib389 (<< 1.3.7.8)
+Description: Python3 module for accessing and configuring the 389 Directory Server
+ This Python3 module contains tools and libraries for accessing, testing,
+ and configuring the 389 Directory Server.
+
+Package: python3-dirsrvtests
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-lib389,
+Description: Python3 module for 389 Directory Server Continuous Integration testing
+ This Python3 module contains Continuous Integration tests that can be
+ run against an instance of 389 Directory Server.

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	share/man/man8/ldif2db.pl.8
 
 %:
-	dh $@ --parallel --with autoreconf,systemd --builddir build/
+	dh $@ --parallel --with autoreconf,systemd,python3 --builddir build/
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -60,7 +60,19 @@
 		--enable-autobind \
 		--enable-cmocka
 
+	(cd build && make setup.py)
+
+override_dh_auto_build:
+	(cd build && python3 setup.py build)
+	python3 src/lib389/setup.py build
+	dh_auto_build
+
 override_dh_auto_install:
+	(cd build && python3 setup.py install --install-layout=deb --root ../debian/tmp)
+	# stupid build
+	cp -r build/lib/dirsrvtests/ debian/tmp/usr/lib/python3/dist-packages
+	(cd src/lib389 && python3 setup.py install --install-layout=deb --root ../../debian/tmp)
+
 	dh_auto_install --max-parallel=1
 
 override_dh_install:

## 389-ds-base 1.4.0.18

=== debian/changelog ===
389-ds-base (1.4.0.18-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2018-14624 (Closes: #907778)
    - CVE-2018-14638 (Closes: #908859)
  * control: Build on any arch again.
  * perl-use-move-instead-of-rename.diff: Use copy instead of move,
    except when restoring files in case of an error.
  * Move the new utils (dsconf, dscreate, dsctl, dsidm) to python3-
    lib389.
  * control: Add python3-argcomplete to python3-lib389 depends. (Closes:
    #910761)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Oct 2018 00:56:02 +0300

389-ds-base (1.4.0.16-1) unstable; urgency=medium

  * New upstream release.
  * control: 389-ds-base-dev provides libsvrcore-dev. (Closes: #907140)
  * perl-use-move-instead-of-rename.diff: Fix upgrade on systems where
    /var is on a separate partition: (Closes: #905184)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Sep 2018 22:39:34 +0300

389-ds-base (1.4.0.15-2) unstable; urgency=medium

  * control: Build cockpit-389-ds only on 64bit and i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Aug 2018 08:54:06 +0300

389-ds-base (1.4.0.15-1) unstable; urgency=medium

  * New upstream release
    - CVE-2018-10935 (Closes: #906985)
  * control: Add libcrack2-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 Aug 2018 00:46:45 +0300

389-ds-base (1.4.0.13-1) experimental; urgency=medium

  * New upstream release.
    - CVE-2018-10850 (Closes: #903501)
  * control: Update maintainer address.
  * control: Upstream dropped support for non-64bit architectures, so
    build only on supported 64bit archs (amd64, arm64, mips64el,
    ppc64el, s390x).
  * control: svrcore got merged here, drop it from build-depends.
  * ftbs_lsoftotkn3.diff: Dropped, obsolete.
  * control: Add rsync to build-depends.
  * libs, dev, control: Add libsvrcore files, replace old package.
  * base: Add new scripts, add python3-selinux, -semanage, -sepolicy to
    depends.
  * Add a package for cockpit-389-ds.
  * rules: Clean up cruft left after build.
  * control: Drop dh_systemd from build-depends, bump debhelper to 11.
  * Add varions libjs packages to cockpit-389-ds Depends, add the rest
    to d/missing-sources.
  * copyright: Updated. (Closes: #904760)
  * control: Modify 389-ds to depend on cockpit-389-ds and drop the old
    GUI packages which are deprecated upstream.
  * dont-build-new-manpages.diff: Debian doesn't have argparse-manpage,
    so in order to not FTBFS don't build new manpages.
  * base.install: Add man5/*.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 31 Jul 2018 23:46:17 +0300

389-ds-base (1.3.8.2-1) unstable; urgency=medium

  * New upstream release.
  * fix-saslpath.diff: Updated to support ppc64el and s390x. (LP:
    #1764744)
  * CVE-2017-15135.patch: Refreshed

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Jun 2018 11:21:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
 Uploaders:
  Timo Aaltonen <tjaalton@debian.org>,
 Build-Depends:
  libcmocka-dev,
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 11),
  dh-python,
- dh-systemd,
  doxygen,
  libbz2-dev,
+ libcrack2-dev,
  libdb-dev,
  libevent-dev,
  libicu-dev,
@@ -27,11 +26,11 @@
  libsasl2-dev,
  libsnmp-dev,
  libssl-dev,
- libsvrcore-dev (>= 1:4.1.2+dfsg1-3),
  libsystemd-dev,
  pkg-config,
  python3-all-dev,
  python3-setuptools,
+ rsync,
  zlib1g-dev,
 Standards-Version: 4.1.0
 Vcs-Git: https://salsa.debian.org/freeipa-team/389-ds-base.git
@@ -41,21 +40,16 @@
 Package: 389-ds
 Architecture: all
 Depends:
- 389-admin,
- 389-admin-console,
- 389-console,
  389-ds-base,
- 389-ds-console,
- 389-dsgw,
+ cockpit-389-ds,
  ${misc:Depends},
 Description: 389 Directory Server suite - metapackage
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
  resources robustly and scalably.
  .
- This is a metapackage depending on the LDAPv3 server, the HTTP
- daemon used for server administration, and the graphical console used
- for server and user/group administration.
+ This is a metapackage depending on the LDAPv3 server and a Cockpit UI plugin
+ for administration.
 
 Package: 389-ds-base-libs
 Section: libs
@@ -63,9 +57,11 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: 389-ds-base (<< 1.3.6.7-5),
- 389-ds-base-dev (<< 1.3.6.7-4)
+ 389-ds-base-dev (<< 1.3.6.7-4),
+ libsvrcore0,
 Replaces: 389-ds-base (<< 1.3.6.7-5),
- 389-ds-base-dev (<< 1.3.6.7-4)
+ 389-ds-base-dev (<< 1.3.6.7-4),
+ libsvrcore0,
 Description: 389 Directory Server suite - libraries
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -82,8 +78,12 @@
  libnspr4-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: 389-ds-base (<< 1.3.6.7-4)
-Replaces: 389-ds-base (<< 1.3.6.7-4)
+Breaks: 389-ds-base (<< 1.3.6.7-4),
+ libsvrcore-dev,
+Replaces: 389-ds-base (<< 1.3.6.7-4),
+ libsvrcore-dev,
+Provides:
+ libsvrcore-dev,
 Description: 389 Directory Server suite - development files
  Based on the Lightweight Directory Access Protocol (LDAP), the 389
  Directory Server is designed to manage large directories of users and
@@ -107,6 +107,9 @@
  libsasl2-modules-gssapi-mit,
  libsocket-getaddrinfo-perl,
  python,
+ python3-selinux,
+ python3-semanage,
+ python3-sepolicy,
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -130,14 +133,17 @@
 Package: python3-lib389
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+ python3-argcomplete,
  python3-dateutil,
  python3-ldap,
  python3-pyasn1,
  python3-pyasn1-modules,
  python3-pytest,
  python3-six,
-Conflicts: python-lib389 (<< 1.3.7.8)
-Replaces: python-lib389 (<< 1.3.7.8)
+Conflicts: python-lib389 (<< 1.3.7.8),
+ 389-ds-base (<< 1.4.0.18-1),
+Replaces: python-lib389 (<< 1.3.7.8),
+ 389-ds-base (<< 1.4.0.18-1),
 Description: Python3 module for accessing and configuring the 389 Directory Server
  This Python3 module contains tools and libraries for accessing, testing,
  and configuring the 389 Directory Server.
@@ -149,3 +155,20 @@
 Description: Python3 module for 389 Directory Server Continuous Integration testing
  This Python3 module contains Continuous Integration tests that can be
  run against an instance of 389 Directory Server.
+
+Package: cockpit-389-ds
+Architecture: any
+Depends: ${misc:Depends},
+ cockpit,
+ libjs-bootstrap,
+ libjs-c3,
+ libjs-d3,
+ libjs-jquery-datatables,
+ libjs-jquery-datatables-extensions,
+ libjs-jquery-jstree,
+ libjs-moment,
+ python3,
+ python3-lib389,
+Description: Cockpit user interface for 389 Directory Server
+ This package includes a Cockpit UI plugin for configuring and administering
+ the 389 Directory Server.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,14 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 
 # Keep track of files we don't install
-NOT_INSTALLED :=
+NOT_INSTALLED := \
+	usr/share/cockpit/389-console/static/bootstrap.min.js \
+	usr/share/cockpit/389-console/static/c3.min.js \
+	usr/share/cockpit/389-console/static/d3.min.js \
+	usr/share/cockpit/389-console/static/jquery.dataTables.min.js \
+	usr/share/cockpit/389-console/static/jquery.dataTables.select.min.js \
+	usr/share/cockpit/389-console/static/jstree.min.js \
+	usr/share/cockpit/389-console/static/moment.min.js
 
 REALFILE = \
 	bin/cl-dump.pl \
@@ -47,7 +54,13 @@
 	share/man/man8/ldif2db.pl.8
 
 %:
-	dh $@ --parallel --with autoreconf,systemd,python3 --builddir build/
+	dh $@ --with autoreconf,python3 --builddir build/
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f aclocal.m4 config.* ltmain.sh m4/libtool.m4 m4/lt*.m4
+	rm -f ldap/servers/snmp/ldap-agent.conf
+	rm -rf src/lib389/build src/lib389/lib389.egg-info
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -102,8 +115,8 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
-override_dh_systemd_enable:
-	dh_systemd_enable -p389-ds-base --no-enable dirsrv-snmp.service
+override_dh_installsystemd:
+	dh_installsystemd -p389-ds-base --no-enable dirsrv-snmp.service
 
 override_dh_shlibdeps:
 	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a

## 389-ds-base 1.4.0.21

=== debian/changelog ===
389-ds-base (1.4.0.21-1) unstable; urgency=medium

  * New upstream release.
  * Run offline upgrade only when upgrading from versions below 1.4.0.9,
    ns-slapd itself handles upgrades in newer versions.
  * rules: Actually install the minified javascript files. (Closes:
    #913820)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 12 Feb 2019 16:28:15 +0200

389-ds-base (1.4.0.20-3) unstable; urgency=medium

  * control: 389-ds-base should depend on the legacy tools for now.
    (Closes: #919420)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Jan 2019 11:30:51 +0200

389-ds-base (1.4.0.20-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 14 Jan 2019 20:03:58 +0200

389-ds-base (1.4.0.20-1) experimental; urgency=medium

  * New upstream release. (Closes: #913821)
  * fix-nss-path.diff: Fix includes.
  * Build ds* manpages, add missing build-depends.
  * Move deprecated tools in a new subpackage.
  * control: Add python3-lib389 to 389-ds-base depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 13 Jan 2019 21:13:22 +0200

389-ds-base (1.4.0.19-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.
  * Use secure URI in Vcs control header.

  [ Hugh McMaster ]
  * control: Mark 389-ds-base-libs{,-dev} M-A: same, cockpit-389-ds M-A:
    foreign and arch:all. (Closes: #916118)
  * Use pkg-config to detect icu. (Closes: #916115)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 02 Jan 2019 12:43:23 +0200

389-ds-base (1.4.0.19-2) unstable; urgency=medium

  * rules: Add -latomic to LDFLAGS on archs failing to build. (Closes:
    #910982)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Dec 2018 01:06:37 +0200

389-ds-base (1.4.0.19-1) unstable; urgency=medium

  * New upstream release.
  * control: Make C/R backports-compatible. (Closes: #910796)
  * use-packaged-js.diff: Dropped, packaged versions don't work.
    (Closes: #913820)
  * Follow upstream, and drop python3-dirsrvtests.
  * cockpit-389-ds.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Dec 2018 15:56:40 +0200

=== debian/tests/control ===
Tests: setup
Depends:
 389-ds-base,
Restrictions: needs-root
